Recent

Author Topic: Problems installing the IBX component  (Read 1088 times)

Ever

  • Jr. Member
  • **
  • Posts: 55
Problems installing the IBX component
« on: October 04, 2023, 03:32:40 pm »
Greetings

    I have tried to run the IBX component in versions 2.6, 2.5 and 2.4, they compile without any problems, but when I start the Lazarus IDE it shows me the following error:

     IBX is unable to locate or otherwise load Firebird Library. Object reference is Nil

     When installing version 2.3 of said component I did not experience any problems.

    I am using Lazarus 2.2.6 in a 64-bit version, on Windows 11. I must note that I have two Firberid servers installed on the computer, versions 3 and 4 but 32-bit. In the Windows environment variables I have the paths of both versions of Firebird

    I thank you in advance for the support you can give me.

rvk

  • Hero Member
  • *****
  • Posts: 5651
Re: Problems installing the IBX component
« Reply #1 on: October 04, 2023, 04:10:35 pm »
    I am using Lazarus 2.2.6 in a 64-bit version, on Windows 11. I must note that I have two Firberid servers installed on the computer, versions 3 and 4 but 32-bit. In the Windows environment variables I have the paths of both versions of Firebird
Why do you have 32 bit Firebird installed on a 64 bit Windows?
You can just install 64 bit Firebird and access it from a 32 bit application (because the 32bit driver is installed too).

With the 32 bit version of Firebird there is no 64 bit client installed.
So you can't access it from your 64 bit application.

So either install the complete 64 bit server of Firebird of install a 64 bit client of Firebird driver.


Ever

  • Jr. Member
  • **
  • Posts: 55
Re: Problems installing the IBX component
« Reply #2 on: October 04, 2023, 07:28:01 pm »
Thanks for the clarification

Ever

  • Jr. Member
  • **
  • Posts: 55
Re: Problems installing the IBX component
« Reply #3 on: October 04, 2023, 08:33:25 pm »
I installed Lazarus for 32 bits, which solved the problem, but now it tells me that the supported ODS version is 12.2 and not 13, I thought these components allowed me to work with Firebird 4

rvk

  • Hero Member
  • *****
  • Posts: 5651
Re: Problems installing the IBX component
« Reply #4 on: October 04, 2023, 09:05:18 pm »
I installed Lazarus for 32 bits, which solved the problem, but now it tells me that the supported ODS version is 12.2 and not 13, I thought these components allowed me to work with Firebird 4
They do. But the ods error is from you accessing a firebird 4 database with the firebird 3 server.

So use the port for your firebird 4 server and it should work.
You said you had both fb 3 and 4 installed on your system.
They should be on different ports.
« Last Edit: October 04, 2023, 09:07:02 pm by rvk »

Ever

  • Jr. Member
  • **
  • Posts: 55
Re: Problems installing the IBX component
« Reply #5 on: October 04, 2023, 09:59:30 pm »
Indeed, this is how I have it configured and I indicate to the component the correct port according to the server, but I already found the error, indicate 127.0.0.1 instead of localhost and if it made the connection

Thank you very much for your support

 

TinyPortal © 2005-2018